<ion-content [fullscreen]="true" [scrollEvents]="true" (ionScroll)="logScrolling($event)">
    <div id="container">
        <!-- <app-navbar></app-navbar> -->
        <!-- <div class="h-16 md:h-20">
        </div> -->
        <div class="container mx-auto max-w-screen-xl mt-28 px-3 md:px-0" [ngClass]="cartItemsNo>0 ? 'md:mt-52' : 'md:mt-40'">
            <div class="flex flex-wrap items-center" style="color: #707070;">
                <a routerLink="/home" class="hover:text-black">Trang Chủ&nbsp; </a>
                <ion-icon name="chevron-forward-outline"> </ion-icon>
                <a routerLink="/cart" class="hover:text-black">Giỏ Hàng&nbsp; </a>
                <ion-icon name="chevron-forward-outline"> </ion-icon>
                <a class="text-black">Thanh Toán&nbsp; </a>
            </div>
        </div>
        
        <div class="container mx-auto max-w-screen-lg pt-8 md:pt-10 px-3 md:px-0">
            <div class="my-3">
                <p class="text-center text-3xl md:text-4xl font-medium pb-8 md:pb-10">Thanh Toán</p>
                <ng-container *ngIf="!isLogin ? (guestCart$ | async) : (memberCart$ | async) as cart">
                    <div class="grid grid-cols-12">
                        <div class="col-span-12 md:col-span-8 md:pr-6 pr-0">
                            <form [formGroup]="formGroupUser" *ngIf="isLogin" #formGroupDirective="ngForm"
                                (ngSubmit)="userOrderCreate()">
                                <div
                                    class="text-xl font-semibold">
                                    Thông Tin Nhận Hàng
                                </div>
                                <div class="grid grid-cols-12">
                                    <div class="info-account col-span-12">
                                        <div class="flex pl-3 mx-0">
                                            <div  *ngIf="data?.avatar">
                                                <img [src]="data?.avatar" alt="" class="w-h" />
                                            </div>
                                            <div class="px-2" *ngIf="!data?.avatar">
                                                <img src="assets/image/default-avatar.png" alt="" class="w-h" />
                                            </div>
                                            <div class="px-2">
                                                <p class="mb-0 text-xl font-medium">
                                                    <span *ngIf="data?.lastName">{{ data?.lastName }}
                                                    </span>
                                                    <span *ngIf="data?.firstName">{{
                                                        data?.firstName
                                                        }}</span>
                                                </p>
                                                <p *ngIf="data?.email" class="text-lg">
                                                    ({{ data?.email }})
                                                </p>
                                            </div>
                                        </div>
                                    </div>
                                    <mat-form-field appearance="outline" class="col-span-12">
                                        <mat-label class="text-capitalize">Địa chỉ</mat-label>
                                        <mat-select (selectionChange)="
                                            changeFilterProduct($event.value)
                                        " formControlName="title">
                                            <mat-option *ngFor="let item of userAddress" [value]="item.id">
                                                {{ item.receiver }}, {{ item.phone }},
                                                {{ item.street }}, {{ item.ward?.nameWard }} {{ item.district?.nameDistrict }}
                                                {{ item.province?.nameProvince }}
                                            </mat-option>
                                            <mat-option value="new">
                                                + Thêm địa chỉ mới
                                            </mat-option>
                                        </mat-select>
                                    </mat-form-field>
                                    </div>
                                    <div class=" gird grid-cols-12 p-0" *ngIf="addressFilter">
                                        <mat-form-field class="col-span-12 w-full" appearance="outline">
                                            <mat-label class="text-capitalize">Người nhận</mat-label>
                                            <input matInput formControlName="receiver" required />
                                        </mat-form-field>

                                        <mat-form-field class="col-span-12 w-full" appearance="outline">
                                            <mat-label class="text-capitalize">Số điện thoại</mat-label>
                                            <input matInput formControlName="phone" />
                                            <mat-error *ngIf="
                                                formGroupUser.hasError(
                                                    'minlength',
                                                    'phone'
                                                ) &&
                                                !formGroupUser.hasError(
                                                    'pattern',
                                                    'phone'
                                                )
                                            ">
                                                Số điện thoại có ít nhất 10 số
                                            </mat-error>
                                            <mat-error *ngIf="
                                                formGroupUser.hasError(
                                                    'maxlength',
                                                    'phone'
                                                ) &&
                                                !formGroupUser.hasError(
                                                    'pattern',
                                                    'phone'
                                                )
                                            ">
                                                Số điện thoại tối đa 15 số
                                            </mat-error>
                                            <mat-error *ngIf="
                                                formGroupUser.hasError(
                                                    'pattern',
                                                    'phone'
                                                )
                                            ">
                                                Số điện thoại phải là số
                                            </mat-error>
                                        </mat-form-field>
                                        <div class="md:flex md:justify-between">
                                            <mat-form-field class="col-span-12 md:col-span-6 md:pr-3 w-full" appearance="outline" *ngIf="checkRequiedAddress">
                                                <mat-label class="text-capitalize">Địa chỉ</mat-label>
                                                <input matInput formControlName="street" [required]="checkRequiedAddress" />
                                            </mat-form-field>
                                            
                                            <mat-form-field class="col-span-12 md:col-span-6  w-full" appearance="outline" *ngIf="checkRequiedAddress">
                                                <mat-label class="text-capitalize">Tỉnh/Thành phố</mat-label>
                                                <!-- <input matInput formControlName="city" required /> -->
                                                <mat-select formControlName="city" [required]="checkRequiedAddress">
                                                    <mat-option
                                                        *ngFor="
                                                            let item of (provinces$ | async)?.edges;
                                                            index as index
                                                        "
                                                        [value]="item.node.id"
                                                        (onSelectionChange)="changeProvince($event, item)"
                                                    >
                                                        {{ item.node.nameProvince }}
                                                    </mat-option>
                                                </mat-select>
                                            </mat-form-field>

                                            
                                        </div>

                                        <div class="md:flex md:justify-between">
                                            <mat-form-field class="col-span-12 md:col-span-6 md:pr-3 w-full" appearance="outline" *ngIf="checkRequiedAddress">
                                                <mat-label class="text-capitalize">Quận/Huyện</mat-label>
                                                <!-- <input matInput formControlName="district" required /> -->
                                                <mat-select formControlName="district" [required]="checkRequiedAddress">
                                                    <mat-option
                                                        *ngFor="
                                                            let item of (districts$ | async)?.edges;
                                                            index as index
                                                        "
                                                        [value]="item.node.id"
                                                        (onSelectionChange)="changeDistrict($event, item)"
                                                    >
                                                        {{ item.node.nameDistrict }}
                                                    </mat-option>
                                                </mat-select>
                                            </mat-form-field>

                                            <mat-form-field class="col-span-12 md:col-span-6 w-full" appearance="outline" *ngIf="checkRequiedAddress">
                                                <mat-label class="text-capitalize">Phường/Xã</mat-label>
                                                <mat-select formControlName="ward" [required]="checkRequiedAddress">
                                                    <mat-option
                                                        *ngFor="
                                                            let item of (wards$ | async)?.edges;
                                                            index as index
                                                        "
                                                        [value]="item.node.id"
                                                    >
                                                        {{ item.node.nameWard }}
                                                    </mat-option>
                                                </mat-select>
                                            </mat-form-field>
                                        </div>

                                    </div>
                                    <div class=" grid grid-cols-12 p-0" *ngIf="!addressFilter">
                                        <mat-form-field class="col-span-12 w-full" appearance="outline">
                                            <mat-label class="text-capitalize">Người nhận</mat-label>
                                            <input matInput formControlName="receiver" required />
                                        </mat-form-field>

                                        <mat-form-field class="col-span-12 w-full" appearance="outline">
                                            <mat-label class="text-capitalize">Số điện thoại</mat-label>
                                            <input matInput formControlName="phone" required />
                                            <mat-error *ngIf="
                                                formGroupUser.hasError(
                                                    'minlength',
                                                    'phone'
                                                ) &&
                                                !formGroupUser.hasError(
                                                    'pattern',
                                                    'phone'
                                                )
                                            ">
                                                Số điện thoại ít nhất 10 số
                                            </mat-error>
                                            <mat-error *ngIf="
                                                formGroupUser.hasError(
                                                    'maxlength',
                                                    'phone'
                                                ) &&
                                                !formGroupUser.hasError(
                                                    'pattern',
                                                    'phone'
                                                )
                                            ">
                                                Số điện thoại tối đa 15 số
                                            </mat-error>
                                            <mat-error *ngIf="
                                                formGroupUser.hasError(
                                                    'pattern',
                                                    'phone'
                                                )
                                            ">
                                                Số điện thoại phải là số
                                            </mat-error>
                                        </mat-form-field>


                                            <mat-form-field class="col-span-12 md:col-span-6 md:pr-3 w-full" appearance="outline" *ngIf="checkRequiedAddress">
                                                <mat-label class="text-capitalize">Địa chỉ</mat-label>
                                                <input matInput formControlName="street" [required]="checkRequiedAddress" />
                                            </mat-form-field>
                                            
                                            <mat-form-field class="col-span-12 md:col-span-6 w-full" appearance="outline" *ngIf="checkRequiedAddress">
                                                <mat-label class="text-capitalize">Tỉnh/Thành phố</mat-label>
                                                <!-- <input matInput formControlName="city" required /> -->
                                                <mat-select formControlName="city" [required]="checkRequiedAddress">
                                                    <mat-option
                                                        *ngFor="
                                                            let item of (provinces$ | async)?.edges;
                                                            index as index
                                                        "
                                                        [value]="item.node.id"
                                                        (onSelectionChange)="changeProvince($event, item)"
                                                    >
                                                        {{ item.node.nameProvince }}
                                                    </mat-option>
                                                </mat-select>
                                            </mat-form-field>

                                            <mat-form-field class="col-span-12 md:col-span-6 md:pr-3 w-full" appearance="outline" *ngIf="checkRequiedAddress">
                                                <mat-label class="text-capitalize">Quận/Huyện</mat-label>
                                                <!-- <input matInput formControlName="district" required /> -->
                                                <mat-select formControlName="district" [required]="checkRequiedAddress">
                                                    <mat-option
                                                        *ngFor="
                                                            let item of (districts$ | async)?.edges;
                                                            index as index
                                                        "
                                                        [value]="item.node.id"
                                                        (onSelectionChange)="changeDistrict($event, item)"
                                                    >
                                                        {{ item.node.nameDistrict }}
                                                    </mat-option>
                                                </mat-select>
                                            </mat-form-field>

                                            <mat-form-field class="col-span-12 md:col-span-6 md:pr-3 w-full" appearance="outline" *ngIf="checkRequiedAddress">
                                                <mat-label class="text-capitalize">Phường/Xã</mat-label>
                                                <!-- <input matInput formControlName="district" required /> -->
                                                <mat-select formControlName="ward" [required]="checkRequiedAddress">
                                                    <mat-option
                                                        *ngFor="
                                                            let item of (wards$ | async)?.edges;
                                                            index as index
                                                        "
                                                        [value]="item.node.id"
                                                    >
                                                        {{ item.node.nameWard }}
                                                    </mat-option>
                                                </mat-select>
                                            </mat-form-field>
         
                                        <!-- <mat-form-field class="col-span-12 md:col-span-4 " appearance="outline">
                                            <mat-label class="text-capitalize">Địa chỉ</mat-label>
                                            <input matInput formControlName="street" required />
                                        </mat-form-field>
                                        <mat-form-field class="col-span-12 md:col-span-4 " appearance="outline">
                                            <mat-label class="text-capitalize">Quận</mat-label>
                                            <input matInput formControlName="district" required />
                                        </mat-form-field>
                                        <mat-form-field class="col-span-12 md:col-span-4 " appearance="outline">
                                            <mat-label class="text-capitalize">Thành phố</mat-label>
                                            <input matInput formControlName="city" required />
                                        </mat-form-field> -->
                                    </div>

                                    <mat-form-field class="col-span-12 w-full" appearance="outline">
                                        <mat-label class="text-capitalize">Ghi chú</mat-label>
                                        <textarea matInput  formControlName="orderNote" class="focus:ring-0" placeholder="Giao hàng giờ hành chính, Giao trước 14h, Gọi số điện thoại 09xxx để xác nhận đơn…">
                                    </textarea>
                                    </mat-form-field>
        

                                <div class="mt-3">
                                    <div
                                        class="relative text-left mb-4">
                                        <div class="text-xl  font-semibold capitalize">
                                            Phương thức thanh toán
                                        </div>
                                    </div>
                                    <div class="relative">
                                        <!-- <mat-radio-group color="primary" formControlName="paymentMethodId"
                                            >
                                            <mat-accordion *ngFor="let item of (paymentMethod$ | async)?.edges; index as index;">
                                                <mat-expansion-panel hideToggle 
                                                    [expanded]="idExpand == item?.node?.paymentMethod?.id" 
                                                    *ngIf="item?.node?.isActive"
                                                >
                                                    <mat-expansion-panel-header
                                                        (click)="changeExpand(item?.node?.paymentMethod?.id, item?.node?.paymentMethod)"
                                                    >
                                                        <mat-panel-title>
                                                            <mat-radio-button
                                                                #p1
                                                                [value]="item?.node?.paymentMethod?.id"
                                                                class="text-cap btn-radio"
                                                            >
                                                                <span>
                                                                    
                                                                    {{item?.node?.paymentMethod?.name}}
                                                                </span>
                                                            </mat-radio-button>
                                                        </mat-panel-title>
                                                    </mat-expansion-panel-header>
            
                                                    <div class="pt-4 pl-4 pr-4" *ngIf="item?.node?.paymentMethod?.id == '2'">

                                                    </div>
            
                                                    <div class="pt-4 pl-4 pr-4" *ngIf="item?.node?.paymentMethod?.id == '3'">
                                                        <div class="font-weight-bold">
                                                            Điều khoản và điều kiện
                                                        </div>
                                                        <div class="max-height-term my-3">
                                                        </div>
                                                        <div class="text-center">
                                                            Lưu ý: Bạn phải đồng ý với các điều khoản và điều kiện của người bán
                                                        </div>
                                                        <div class="text-center pt-1 pb-3">
                                                            <mat-checkbox class="checkbox" color="primary" 
                                                            formControlName="isAccept"
                                                            slot="end"
                                                            >
                                                                Tôi đã đồng ý với các điều khoản và điều kiện
                                                            </mat-checkbox>
                                                        </div>
                                                        
                                                    </div>
                                                </mat-expansion-panel>
                                            </mat-accordion>
                                        </mat-radio-group> -->
                                        <mat-radio-group class="d-flex flex-column mt-2" formControlName="paymentMethodId">
                                            <div class="ml-3 d-flex flex-row" *ngFor="let item of (paymentMethod$ | async)?.edges; index as index;">
                                                <mat-radio-button color="primary" class="my-2" 
                                                    [value]="item?.node?.paymentMethod?.id"
                                                    (change)="changePaymentMethod(item?.node?.paymentMethod?.itemCode)"
                                                >
                                                    {{item?.node?.paymentMethod?.name}}
                                                </mat-radio-button>
                                                <div *ngIf="selectedPaymentMethod == 'BANK' && item?.node?.paymentMethod?.itemCode=='BANK'">
                                                    <!-- <p class="my-2 mx-4">
                                                        Vui lòng xác nhận địa chỉ siêu thị:
                                                    </p> -->
                                                </div>
                                            </div>
                                        </mat-radio-group>
                                    </div>
                                </div>

                                <div class="mt-3 pt-1 mb-2" *ngIf="checkIsDeliveryMethod">
                                    <div class="relative text-left mb-4">
                                        <div class="text-xl font-semibold capitalize">
                                            Phương thức giao hàng
                                        </div>
                                    </div>
            
                                    <mat-radio-group class="d-flex flex-column mt-2" formControlName="deliveryMethod">
                                        <div class="ml-3 d-flex flex-row" *ngFor="let item of (siteDelivery$ | async)?.edges">
                                            <mat-radio-button color="primary" class="my-2" 
                                                [value]="item?.node?.deliveryMethod?.id"
                                                (change)="changeDeliveryMethod(item?.node?.deliveryMethod?.itemCode)"
                                                [disabled]="checkDisabledDelivery"
                                            >
                                                {{item?.node?.deliveryMethod?.name}}
                                            </mat-radio-button>
                                            <div class="ml-2 inline-flex align-items-center">
                                                <!-- <mat-icon 
                                                    *ngIf="item?.node?.deliveryMethod?.itemCode == 'SHIP_60'"
                                                    svgIcon="ship-60-logo"
                                                    class="scale-icon"
                                                ></mat-icon>
                                                <mat-icon 
                                                    *ngIf="item?.node?.deliveryMethod?.itemCode != 'SHIP_60'"
                                                    svgIcon="in-house-logo"
                                                    class="scale-icon"
                                                ></mat-icon> -->
                                                </div>
                                                <div *ngIf="deliveryBefore == 'SUPERMARKET' && item?.node?.deliveryMethod?.itemCode=='SUPERMARKET'">
                                                    <p class="my-2 mx-4">
                                                        Vui lòng xác nhận địa chỉ siêu thị:
                                                       <span class="font-medium">
                                                            {{formatAddress}}
                                                       </span> 
                                                    </p>
                                                </div>
                                                <!-- <div *ngIf="deliveryBefore == 'HSHG' && item?.node?.deliveryMethod?.itemCode=='HSHG'">
                                                    <p class="my-2 mx-4">
                                                        Vui lòng xác nhận địa chỉ siêu thị:
                                                       <span class="font-medium">
                                                            {{formatAddress}}
                                                       </span> 
                                                    </p>
                                                </div> -->
                                        </div>
                                    </mat-radio-group>
                                </div>

                                <div class="pt-3 hidden md:block text-center">
                                    <button  type="submit" class="uppercase w-1/2 bg-custom py-2 text-white">
                                        Thanh toán
                                    </button>
                                </div>
                            </form>

                            <form [formGroup]="formGroup" *ngIf="!isLogin" #formGroupDirective="ngForm"
                                (ngSubmit)="orderCreate(formGroup.value, cart)">
                                <div class="relative text-xl font-semibold">
                                    Thông tin nhận hàng
                                </div>
   
                                <div class="mt-4 mb-2">
                                    Bạn đã có tài khoản
                                    <a class="text-black font-bold" routerLink="/auth/login"
                                        [queryParams]="{ returnUrl: 'checkout' }">Đăng nhập</a>
                                </div>
                                <div class="grid grid-cols-12">
                                    <mat-form-field class="col-span-12 md:col-span-12 md:mr-5" appearance="outline">
                                        <mat-label class="text-capitalize">Họ tên</mat-label>
                                        <input matInput formControlName="fullName" required />
                                    </mat-form-field>

                                    <mat-form-field class="col-span-12 md:col-span-6 md:mr-5" appearance="outline">
                                        <mat-label class="text-capitalize">Số điện thoại</mat-label>
                                        <input matInput formControlName="phone" required />
                                        <mat-error *ngIf="
                                            formGroup.hasError('minlength', 'phone') &&
                                            !formGroup.hasError('pattern', 'phone')
                                        ">
                                            Số điện thoại ít nhất 10 số
                                        </mat-error>
                                        <mat-error *ngIf="
                                            formGroup.hasError('maxlength', 'phone') &&
                                            !formGroup.hasError('pattern', 'phone')
                                        ">
                                            Số điện thoại tối đa 15 số
                                        </mat-error>
                                        <mat-error *ngIf="formGroup.hasError('pattern', 'phone')">
                                            Số điện thoại phải là số
                                        </mat-error>
                                    </mat-form-field>

                                    <mat-form-field class="col-span-12 md:col-span-6 md:mr-5" appearance="outline">
                                        <mat-label class="text-capitalize">Email</mat-label>
                                        <input matInput formControlName="email" required />
                                    </mat-form-field>

                                    <mat-form-field class="col-span-12 md:col-span-6 md:mr-5" appearance="outline" *ngIf="checkRequiedAddress">
                                        <mat-label class="text-capitalize">Địa chỉ</mat-label>
                                        <input matInput  formControlName="street" [required]="checkRequiedAddress" />
                                    </mat-form-field>

                                    

                                    <mat-form-field class="col-span-12 md:col-span-6 md:mr-5" appearance="outline" *ngIf="checkRequiedAddress">
                                        <mat-label class="text-capitalize">Tỉnh/Thành phố</mat-label>
                                        <!-- <input matInput  formControlName="city" required /> -->
                                        <mat-select formControlName="city" [required]="checkRequiedAddress">
                                            <mat-option
                                                *ngFor="
                                                    let item of (provinces$ | async)?.edges;
                                                    index as index
                                                "
                                                [value]="item.node.id"
                                                (onSelectionChange)="changeProvince($event, item)"
                                            >
                                                {{ item.node.nameProvince }}
                                            </mat-option>
                                        </mat-select>
                                    </mat-form-field>

                                    <mat-form-field class="col-span-12 md:col-span-6 md:mr-5" appearance="outline" *ngIf="checkRequiedAddress">
                                        <mat-label class="text-capitalize">Quận/Huyện</mat-label>
                                        <!-- <input matInput formControlName="district" required /> -->
                                        <mat-select formControlName="district" [required]="checkRequiedAddress">
                                            <mat-option
                                                *ngFor="
                                                    let item of (districts$ | async)?.edges;
                                                    index as index
                                                "
                                                [value]="item.node.id"
                                                (onSelectionChange)="changeDistrict($event, item)"
                                            >
                                                {{ item.node.nameDistrict }}
                                            </mat-option>
                                        </mat-select>
                                    </mat-form-field>

                                    <mat-form-field class="col-span-12 md:col-span-6 md:mr-5" appearance="outline" *ngIf="checkRequiedAddress">
                                        <mat-label class="text-capitalize">Phường/Xã</mat-label>
                                        <mat-select formControlName="ward" [required]="checkRequiedAddress">
                                            <mat-option
                                                *ngFor="
                                                    let item of (wards$ | async)?.edges;
                                                    index as index
                                                "
                                                [value]="item.node.id"
                                            >
                                                {{ item.node.nameWard }}
                                            </mat-option>
                                        </mat-select>
                                    </mat-form-field>

                                    <mat-form-field class="col-span-12 md:mr-5" appearance="outline">
                                        <mat-label class="text-capitalize">Ghi chú</mat-label>
                                        <textarea matInput formControlName="orderNote" class="focus:outline-none focus:ring-0" placeholder="Giao hàng giờ hành chính, Giao trước 14h, Gọi số điện thoại 09xxx để xác nhận đơn…">
                                    </textarea>
                                    </mat-form-field>
                                </div>

                                <div class="mt-3">
                                    <div class="relative text-left mb-4">
                                        <div class="text-xl font-medium capitalize">
                                            Phương thức thanh toán
                                        </div>
                                    </div>

                                    <div class="relative md:mr-5 mt-2">
                                        <!-- <mat-radio-group color="primary" formControlName="paymentMethodId">
                                            <mat-accordion *ngFor="let item of (paymentMethod$ | async)?.edges; index as index;">
                                                <mat-expansion-panel hideToggle 
                                                    [expanded]="idExpand == item?.node?.paymentMethod?.id" 
                                                    *ngIf="item?.node?.isActive"
                                                >
                                                    <mat-expansion-panel-header
                                                        (click)="changeExpand(item?.node?.paymentMethod?.id, item?.node?.paymentMethod)"
                                                    >
                                                        <mat-panel-title>
                                                            <mat-radio-button
                                                                #p1
                                                                [value]="item?.node?.paymentMethod?.id"
                                                                class="text-cap btn-radio"
                                                            >
                                                                <span>
                                                                    {{item?.node?.paymentMethod?.name}}
                                                                </span>
                                                            </mat-radio-button>
                                                        </mat-panel-title>
                                                    </mat-expansion-panel-header>
            
                                                    <div class="pt-4 pl-4 pr-4" *ngIf="item?.node?.paymentMethod?.id == '2'">
                            
                                                    </div>
            
                                                    <div class="pt-4 pl-4 pr-4" *ngIf="item?.node?.paymentMethod?.id == '3'">
                                                        <div class="font-weight-bold">
                                                            Điều khoản và điều kiện
                                                        </div>
                                                        <div class="max-height-term my-3">
                                                        </div>
                                                        <div class="text-center">
                                                            Lưu ý: Bạn phải đồng ý với các điều khoản và điều kiện của người bán
                                                        </div>
                                                        <div class="text-center pt-1 pb-3">
                                                            <mat-checkbox class="checkbox" color="primary" 
                                                            formControlName="isAccept"
                                                            slot="end"
                                                            >
                                                                Tôi đã đồng ý với các điều khoản và điều kiện
                                                            </mat-checkbox>
                                                        </div>
                                                    </div>
                                                </mat-expansion-panel>
            
                                            </mat-accordion>
                                        </mat-radio-group> -->
                                        <mat-radio-group class="d-flex flex-column mt-2" formControlName="paymentMethodId">
                                            <div class="ml-3 d-flex flex-row" *ngFor="let item of (paymentMethod$ | async)?.edges; index as index;">
                                                <mat-radio-button color="primary" class="my-2" 
                                                    [value]="item?.node?.paymentMethod?.id"
                                                    (change)="changePaymentMethod(item?.node?.paymentMethod?.itemCode)"
                                                >
                                                    {{item?.node?.paymentMethod?.name}}
                                                </mat-radio-button>
                                                <div *ngIf="selectedPaymentMethod == 'BANK' && item?.node?.paymentMethod?.itemCode=='BANK'">
                                                    <!-- <p class="my-2 mx-4">
                                                        Vui lòng xác nhận địa chỉ siêu thị:
                                                    </p> -->
                                                </div>
                                            </div>
                                        </mat-radio-group>
                                    </div>
                                </div>

                                <div class="mt-3 pt-1 mb-2" *ngIf="checkIsDeliveryMethod">
                                    <div class="relative text-left mb-4">
                                        <div class="text-xl font-medium capitalize">
                                            Phương thức giao hàng
                                        </div>
                                    </div>
            
                                    <mat-radio-group class="d-flex flex-column mt-2" formControlName="deliveryMethod">
                                        <div class="ml-3 d-flex flex-row" *ngFor="let item of (siteDelivery$ | async)?.edges">
                                            <mat-radio-button color="primary" class="my-2" 
                                                [value]="item?.node?.deliveryMethod?.id"
                                                (change)="changeDeliveryMethod(item?.node?.deliveryMethod?.itemCode)"
                                                [disabled]="checkDisabledDelivery"
                                            >
                                                {{item?.node?.deliveryMethod?.name}}
                                            </mat-radio-button>
                                            <div class="ml-2 inline-flex align-items-center">
                                                <!-- <mat-icon 
                                                *ngIf="item?.node?.deliveryMethod?.itemCode == 'SHIP_60'"
                                                svgIcon="ship-60-logo"
                                                class="scale-icon"
                                                ></mat-icon>
                                                <mat-icon 
                                                *ngIf="item?.node?.deliveryMethod?.itemCode != 'SHIP_60'"
                                                svgIcon="in-house-logo"
                                                class="scale-icon"
                                                ></mat-icon> -->
                                            </div>
                                            <div *ngIf="deliveryBefore == 'SUPERMARKET' && item?.node?.deliveryMethod?.itemCode=='SUPERMARKET'">
                                                <p class="my-2 mx-4">
                                                    Vui lòng xác nhận địa chỉ siêu thị:
                                                   <span class="font-medium">
                                                        {{formatAddress}}
                                                   </span> 
                                                </p>
                                            </div>
                                            <!-- <div *ngIf="deliveryBefore == 'HSHG' && item?.node?.deliveryMethod?.itemCode=='HSHG'">
                                                <p class="my-2 mx-4">
                                                    Vui lòng xác nhận địa chỉ siêu thị:
                                                   <span class="font-medium">
                                                        {{formatAddress}}
                                                   </span> 
                                                </p>
                                            </div> -->
                                        </div>
                                    </mat-radio-group>
                                </div>

                                <div class="pt-3 hidden md:block text-center">
                                    <button  type="submit" class="bg-custom uppercase w-1/2 py-2 text-white" *ngIf="!isLogin">
                                        Thanh toán
                                    </button>
                                </div>
                            </form>
                        </div>
                        <div class="col-span-12 md:col-span-4 mt-4 md:mt-0">
                            <div class="p-3 border rounded-2xl border-color">
                                <div class="text-center relative">
                                    <div class="text-xl font-semibold capitalize">
                                        Thông tin đơn hàng
                                    </div>
                                </div>

                                <div class="relative bottom-line-full pt-4 px-3 ">
                                    <div class="flex justify-between pb-2">
                                        <span>
                                            Tạm tính
                                        </span>
                                        <span class="text-right">
                                            {{
                                            subTotal
                                            | number: '0.0-1':'vi'}}đ
                                        </span>
                                    </div>

                                    <div class="flex justify-between pb-2">
                                        <span>
                                            Giảm giá
                                        </span>
                                        <span class="font-weight-bold">{{
                                            totalDiscount | number: '0.0-1':'vi'}}đ </span>
                                    </div>
                                </div>

                                <div class="px-3 flex justify-between pt-4  font-semibold" style="color: var(--color-blue)">
                                    <span>
                                        Tổng tiền
                                    </span>
                                    <span class=" text-right font-semibold" style="color: var(--color-blue)">
                                        {{ (subTotal - totalDiscount) | number: '0.0-1':'vi'}}đ
                                    </span>
                                </div>
                            </div>

                            <div class="p-3 border rounded-2xl border-color mt-3">
                                <div class="text-center">
                                    <div class="text-xl font-semibold capitalize">
                                        Giỏ hàng của bạn
                                    </div>
                                    <!-- <a class="text-decoration-none text-secondary" [routerLink]="['/cart']">
                                        Cập nhật giỏ hàng
                                    </a> -->
                                </div>

                                <div class="pt-4" *ngIf="isLogin">
                                    <ng-container *ngFor="
                                            let item of cart;
                                            let last = last;
                                            let index = index;
                       
                                        ">
                                        <div class="grid-cols-12 grid  md:px-3 pt-2 relative"
                                            [class.border-b-2px-solid]="!last">
                                            <div class="col-span-5 md:col-span-5 md:mr-3 flex justify-center">
                                                <img [src]="item.product.thumbnail ? item.product.thumbnail : 'assets/image/hshg-2.png'" [alt]="item.product.name"
                                                    class="w-24 object-cover h-24 cursor-pointer" [routerLink]="'/product-detail/'+item.product.id" [queryParams]="{ action: 'update' }"/>
                                            </div>
                                            <div class="col-span-7 md:col-span-7  justify-around">
                                                <div style="min-height: 3rem;">
                                                    <div class="font-semibold text-lg cursor-pointer line-clamp-2" [routerLink]="'/product-detail/'+item.product.id" [queryParams]="{ action: 'update' }">
                                                        {{ item.product.name }}
                                                    </div>
                                                    <div *ngIf="item?.subCartDetail?.length>0" class="text-sm">
                                                        (<span *ngFor="let top of item?.subCartDetail; let last = last">
                                                        {{top?.product?.name}}
                                                            <span>  
                                                                <span class="text-xs">x </span>
                                                                {{top?.quantity}}
                                                            </span> 
                                                            <span *ngIf="!last">,</span>
                                                        </span>)
                                                    </div>
                                                    <div *ngIf="item?.subCartDetail?.length==0 || !item?.subCartDetail" class="text-sm">
                                                        (Không chế biến)
                                                    </div>
                                                    <div *ngIf="item?.note" class="mt-2">
                                                        <div class="border-t text-sm pt-2 whitespace-pre-line">
                                                            {{item?.note}}
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="block  justify-between">
                                                    <p> SL: {{ item.quantity }} </p>
                                                    <div class="col-span-2 flex font-semibold" style="color: var(--color-blue)">
                                                        <p >{{item.product.price| number: '0.0-1':'vi'}}đ </p>
                                                        <p class="line-through ml-2" style="color: #717171; text-decoration-thickness: 1px;" *ngIf="item.product.advertisingPrice">
                                                            {{item.product.advertisingPrice| number: '0.0-1':'vi'}}đ
                                                        </p>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </ng-container>
                                </div>
                                <div class="pt-4" *ngIf="!isLogin"> 
                                    <ng-container *ngFor="
                                            let item of cart;
                                            let last = last;
                                            let index = index;
                       
                                        ">
                                        <div class="grid-cols-12 grid  md:px-3 pt-2 relative"
                                            [class.border-b-2px-solid]="!last">
                                            <div class="col-span-5 md:col-span-5 md:mr-3 flex justify-center" >
                                                <div *ngFor="let i of productGuest">
                                                    <div  *ngIf="i.node.id == item.product.id"> 
                                                        <img [src]="i.node.thumbnail ? i.node.thumbnail : 'assets/image/hshg-2.png'" [alt]="i.node.name"
                                                        class="w-24 object-cover h-24 cursor-pointer" [routerLink]="'/product-detail/'+item.product.id" [queryParams]="{ action: 'update' }"/>
                                                    </div>
                                                    
                                                </div>
                                                
                                            </div>
                                            <div class="col-span-7 md:col-span-7  justify-around">
                                                <div style="min-height: 3rem;">
                                                    <div class="font-semibold text-lg line-clamp-2 cursor-pointer" [routerLink]="'/product-detail/'+item.product.id" [queryParams]="{ action: 'update' }">
                                                        {{ item.product.name }}
                                                    </div>
                                                    <div *ngIf="item?.subCartDetail?.length>0" class="text-sm">
                                                        (<span *ngFor="let top of item?.subCartDetail; let last = last">
                                                        {{top?.product?.topping?.name}}
                                                            <span>  
                                                                <span class="text-xs">x </span>
                                                                {{top?.quantity}}
                                                            </span> 
                                                            <span *ngIf="!last">,</span>
                                                        </span>)
                                                    </div>
                                                    <div *ngIf="item?.subCartDetail?.length==0 || !item?.subCartDetail" class="text-sm">
                                                        (Không chế biến)
                                                    </div>
                                                    <div *ngIf="item?.orderDetailNote" class="mt-2">
                                                        <div class="border-t text-sm pt-2 whitespace-pre-line">
                                                            {{item?.orderDetailNote}}
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="block  justify-between">
                                                    <p> SL: {{ item.quantity }} </p>
                                                    <div class="col-span-2 font-semibold flex" style="color: var(--color-blue)">
                                                        <div  *ngFor="let i of productGuest">
                                                            <div *ngIf="i.node.id == item.product.id">
                                                                <div   *ngIf="i.node.flashSaleProduct?.edges.length > 0">
                                                                    <p>{{(i.node.flashSaleProduct?.edges[0].node.price) | number: '0.0-1':'vi'}} đ</p>
                                                                    <p class=" text-sm line-through text-gray-300">{{i.node.price| number: '0.0-1':'vi'}} đ </p>
                                                                </div>
                                                                <div  *ngIf="i.node.flashSaleProduct?.edges.length == 0" class="flex">
                                                                    <p >{{i.node.price | number: '0.0-1':'vi'}}đ </p>
                                                                    <p class="line-through ml-2" style="color: #717171; text-decoration-thickness: 1px;" *ngIf="i.node.advertisingPrice">
                                                                        {{i.node.advertisingPrice| number: '0.0-1':'vi'}}đ
                                                                    </p>
                                                                </div>
                                                            </div>
                                                        </div>
                                                       
                                                    </div>
                                                    
                                                </div>
                                            </div>
                                        </div>
                                    </ng-container>
                                </div>
                                <div class="my-2">
                                    <div class="grid grid-cols-12 justify-center mt-5">
                                        <div class="md:col-start-3 md:col-end-11 lg:col-start-2 lg:col-end-12 col-start-2 col-end-12 col-btn-fp px-2">
                                            <button [routerLink]="['/cart']" class="text-center bg-custom w-full" mat-button>Chỉnh sửa đơn hàng</button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="block md:hidden pt-4">
                        <button type="button" class=" bg-custom uppercase w-full py-2 text-white"
                            (click)="orderCreate(formGroup.value, cart)" *ngIf="!isLogin">
                            Thanh toán
                        </button>
                    </div>
                    <div class="block md:hidden pt-4">
                        <button n type="button" class="uppercase w-full bg-custom py-2 text-white" (click)="userOrderCreate()"
                            *ngIf="isLogin">
                            Thanh toán
                        </button>
                    </div>
                </ng-container>
            </div>

        </div>
        <app-footer></app-footer>
        <div>
            <button  *ngIf="isShowBackToTop" class="fixed  right-12 md:bottom-4 md:right-28 z-50 w-10 h-10 md:w-12 md:h-12 rounded-full bg-main text-white" (click)="scrollToTop()"
                    style="border: 1px solid whitesmoke" [ngClass]="cartItemsNo>0 ? 'bottom-28' : 'bottom-16'">
                    <mat-icon class="pt-1" matTooltip="Trở về đầu trang">keyboard_arrow_up</mat-icon>
            </button>
        </div>
    </div>
</ion-content>